'''
Created on 01/04/2010

@author: miguel
'''
import pygame

class InstructionPanelRow(object):
    FONT_FILE_NAME = './images/Always_Joking.ttf'

    def __init__(self, screen, id, action_image, rect_action_image, text, rect_text, remove_image, rect_remove_image, instruction):
        self.font = pygame.font.Font(self.FONT_FILE_NAME, 24)
        self.font.set_bold(True)

        self.screen = screen
        self.id = id
        self.action_image = action_image
        self.rect_action_image = rect_action_image
        self.rect_text = rect_text
        self.remove_image = remove_image
        self.rect_remove_image = rect_remove_image
        self.instruction = instruction
        self.text = text

    def print_instruction(self):
        self.instruction.print_instruction()

    def draw(self):
        self.screen.blit(self.action_image, self.rect_action_image)

        self.time_text = self.font.render(self.text, True, pygame.Color('blue'), (0,0,0))
        self.screen.blit(self.time_text, self.rect_text)

        self.screen.blit(self.remove_image, self.rect_remove_image)